Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni
Class QName

    java.lang.Object
      weblogic.apache.xerces.xni.QName

All Implemented Interfaces:
  Cloneable

Deprecated. please use JDK supplied XML parsers and transformers

    public class QName

extends Object
implements Cloneable

A structure that holds the components of an XML Namespaces qualified name.

To be used correctly, the strings must be identical references for equal strings. Within the parser, these values are considered symbols and should always be retrieved from the `SymbolTable`.

See Also:
  `SymbolTable`

Field Summary
`String` | `localpart` Deprecated. The qname localpart.
`String` | `prefix` Deprecated. The qname prefix.
`String` | `rawname` Deprecated. The qname rawname.
`String` | `uri` Deprecated. The URI to which the qname prefix is bound.

Constructor Summary
`QName()` Deprecated. Default constructor.
`QName(QName qname)` Deprecated. Constructs a copy of the specified QName.
`QName(String prefix, String localpart, String rawname, String uri)` Deprecated. Constructs a QName with the specified values.

Method Summary
`void` | `clear()` Deprecated. Clears the values of the qname components.
`Object` | `clone()` Deprecated. Returns a clone of this object.
`boolean` | `equals(Object object)` Deprecated. Returns true if the two objects are equal.
`int` | `hashCode()` Deprecated. Returns the hashcode for this object.
`void` | `setValues(QName qname)` Deprecated. Convenience method to set the values of the qname components.
`void` | `setValues(String prefix, String localpart, String rawname, String uri)` Deprecated. Convenience method to set the values of the qname components.
`String` | `toString()` Deprecated. Returns a string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### prefix

    public String prefix

  Deprecated.
  The qname prefix. For example, the prefix for the qname "a:foo" is "a".

### localpart

    public String localpart

  Deprecated.
  The qname localpart. For example, the localpart for the qname "a:foo" is "foo".

### rawname

    public String rawname

  Deprecated.
  The qname rawname. For example, the rawname for the qname "a:foo" is "a:foo".

### uri

    public String uri

  Deprecated.
  The URI to which the qname prefix is bound. This binding must be performed by a XML Namespaces aware processor.

Constructor Detail

### QName

    public QName()

  Deprecated.
  Default constructor.

### QName

    public QName(String prefix,
                 String localpart,
                 String rawname,
                 String uri)

  Deprecated.
  Constructs a QName with the specified values.

### QName

    public QName(QName qname)

  Deprecated.
  Constructs a copy of the specified QName.

Method Detail

### setValues

    public void setValues(QName qname)

  Deprecated.
  Convenience method to set the values of the qname components.

  Parameters:
    `QName` - The qualified name to be copied.

### setValues

    public void setValues(String prefix,
                          String localpart,
                          String rawname,
                          String uri)

  Deprecated.
  Convenience method to set the values of the qname components.

  Parameters:
    `prefix` - The qname prefix. (e.g. "a")
    `localpart` - The qname localpart. (e.g. "foo")
    `rawname` - The qname rawname. (e.g. "a:foo")
    `uri` - The URI binding. (e.g. "http://foo.com/mybinding")

### clear

    public void clear()

  Deprecated.
  Clears the values of the qname components.

### clone

    public Object clone()

  Deprecated.
  Returns a clone of this object.

  Overrides:
    `clone` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Returns the hashcode for this object.

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Deprecated.
  Returns true if the two objects are equal.

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Deprecated.
  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD